/*
 * Copyright 2007 Kickmogu Co. Ltd. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */



/*
 * 作成日: 2006/12/04
 *
 */
package com.kickmogu.rhythm.timecard;

import java.util.Date;

public class Timecard {
	public final static String UNIQ_KEYNAME = "rhtym timecard id";

	private int id;
	private int registrant;
	private Date inTime;
	private Date outTime;
	private String inIpaddr;
	private String outIpaddr;

	/**
	 * @return id を戻します。
	 */
	public int getId() {
		return id;
	}
	/**
	 * @param id id を設定。
	 */
	public void setId(int id) {
		this.id = id;
	}
	/**
	 * @return inTime を戻します。
	 */
	public Date getInTime() {
		return inTime;
	}
	/**
	 * @param inTime inTime を設定。
	 */
	public void setInTime(Date inTime) {
		this.inTime = inTime;
	}
	/**
	 * @return outTime を戻します。
	 */
	public Date getOutTime() {
		return outTime;
	}
	/**
	 * @param outTime outTime を設定。
	 */
	public void setOutTime(Date outTime) {
		this.outTime = outTime;
	}
	/**
	 * @return registrant を戻します。
	 */
	public int getRegistrant() {
		return registrant;
	}
	/**
	 * @param registrant registrant を設定。
	 */
	public void setRegistrant(int registrant) {
		this.registrant = registrant;
	}
	/**
	 * @return inIpaddr を戻します。
	 */
	public String getInIpaddr() {
		return inIpaddr;
	}
	/**
	 * @param inIpaddr inIpaddr を設定。
	 */
	public void setInIpaddr(String inIpaddr) {
		this.inIpaddr = inIpaddr;
	}
	/**
	 * @return outIpaddr を戻します。
	 */
	public String getOutIpaddr() {
		return outIpaddr;
	}
	/**
	 * @param outIpaddr outIpaddr を設定。
	 */
	public void setOutIpaddr(String outIpaddr) {
		this.outIpaddr = outIpaddr;
	}
}
